Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class WToolBarItem

    java.lang.Object
      LumiSoft.UI.Controls.WToolBarItem

    public class WToolBarItem

extends java.lang.Object

Toolbar item.

Method Summary
`java.awt.Rectangle` | `getBounds()` Gets item bounding rectangle.
`boolean` | `getEnabled()` Gets if toolbar button is enabled.
`int` | `getImageIndex()` Gets item image index.
`WContextMenu` | `getMenu()` Gets item menu.
`java.lang.String` | `getName()` Gets toolbar item name.
`boolean` | `getSeparator()` Gets if toolbar item is separator.
`java.lang.Object` | `getTag()` Gets item tag.
`java.lang.String` | `getToolTipText()` Gets tooltip text.
`java.lang.String` | `getToolTipTextID()` Gets tooltip text ID.
`boolean` | `getVisible()` Gets if toolbar item is visible.
`void` | `setEnabled(boolean value)` Sets if toolbar button is enabled.
`void` | `setImageIndex(int value)` Sets item image index.
`void` | `setMenu(WContextMenu value)` Sets item menu.
`void` | `setSeparator(boolean value)` Sets if toolbar item is separator.
`void` | `setTag(java.lang.Object value)` Sets item tag.
`void` | `setToolTipText(java.lang.String value)` Sets tooltip text.
`void` | `setToolTipTextID(java.lang.String value)` Sets tooltip text ID.
`void` | `setVisible(boolean value)` Sets if toolbar item is visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getToolTipText

    public java.lang.String getToolTipText()

  Gets tooltip text.

### setToolTipText

    public void setToolTipText(java.lang.String value)

  Sets tooltip text.

  Parameters:
    `value` -

### getToolTipTextID

    public java.lang.String getToolTipTextID()

  Gets tooltip text ID.

### setToolTipTextID

    public void setToolTipTextID(java.lang.String value)

  Sets tooltip text ID.

  Parameters:
    `value` -

### getName

    public java.lang.String getName()

  Gets toolbar item name.

### getEnabled

    public boolean getEnabled()

  Gets if toolbar button is enabled.

### setEnabled

    public void setEnabled(boolean value)

  Sets if toolbar button is enabled.

  Parameters:
    `value` -

### getVisible

    public boolean getVisible()

  Gets if toolbar item is visible.

  Returns:

### setVisible

    public void setVisible(boolean value)

  Sets if toolbar item is visible.

  Parameters:
    `value` -

### getSeparator

    public boolean getSeparator()

  Gets if toolbar item is separator.

  Returns:

### setSeparator

    public void setSeparator(boolean value)

  Sets if toolbar item is separator.

  Parameters:
    `value` -

### getImageIndex

    public int getImageIndex()

  Gets item image index.

  Returns:

### setImageIndex

    public void setImageIndex(int value)

  Sets item image index.

  Parameters:
    `value` -

### getMenu

    public WContextMenu getMenu()

  Gets item menu.

  Returns:

### setMenu

    public void setMenu(WContextMenu value)

  Sets item menu.

  Parameters:
    `value` -

### getTag

    public java.lang.Object getTag()

  Gets item tag.

  Returns:

### setTag

    public void setTag(java.lang.Object value)

  Sets item tag.

  Parameters:
    `value` -

### getBounds

    public java.awt.Rectangle getBounds()

  Gets item bounding rectangle.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD